document.addEventListener('DOMContentLoaded', function() {
    // Mobile menu toggle
    const mobileMenu = document.querySelector('.mobile-menu');
    const navLinks = document.querySelector('.nav-links');

    mobileMenu.addEventListener('click', function() {
        navLinks.classList.toggle('active');
        const spans = this.querySelectorAll('span');
        spans.forEach(span => span.classList.toggle('active'));
    });

    // Smooth scrolling for anchor links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Interactive region map
    const mapInteractive = document.querySelector('.map-interactive');
    const regionInfo = document.querySelector('.region-info');

    const regions = [
        'North Africa',
        'West Africa',
        'East Africa',
        'Central Africa',
        'Southern Africa'
    ];

    regions.forEach(region => {
        const regionElement = document.createElement('div');
        regionElement.classList.add('region');
        regionElement.dataset.region = region;
        regionElement.addEventListener('click', () => {
            updateRegionInfo(region);
        });
        mapInteractive.appendChild(regionElement);
    });

    function updateRegionInfo(region) {
        const regionTitle = regionInfo.querySelector('h3');
        const regionText = regionInfo.querySelector('p');
        
        regionTitle.textContent = region;
        regionText.textContent = `Explore the unique musical traditions of ${region}`;
        
        regionInfo.style.opacity = 0;
        setTimeout(() => {
            regionInfo.style.opacity = 1;
        }, 100);
    }
});